Skip to main content
PATCH
/
v1
/
objectives
/
{id}
Update objective
curl --request PATCH \
  --url https://api.usenaive.ai/v1/objectives/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "status": "<string>",
  "drive_mode": "<string>",
  "cron_schedule": "<string>",
  "success_criteria": "<unknown>",
  "progress": 123,
  "metadata": {}
}
'
{}

Authorizations

Authorization
string
header
required

Workspace API key. Create one via the dashboard or POST /v1/auth/keys.

Path Parameters

id
string
required

Body

application/json
title
string
description
string
status
string
drive_mode
string
cron_schedule
string
success_criteria
any
progress
number
metadata
object

Response

Updated.

The response is of type object.